<storm>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectSEQ="2" SXmlObjectID="ID_CENTRE_PTR_CENTRE">
    <repository>core</repository>
    <alias>Nom centre</alias>
    <parentID>id_centre</parentID>
    <description><![CDATA[terrain(id_centre) -> centre(id_centre)]]></description>
    <expression>nom_centre
//nom_centre, ville, capacite
// id_centre, nom_centre, ville, capacite</expression>
    <pointer enabled="true">
      <datasource>QUERY_CENTRE_GLOBALS</datasource>
      <link>id_centre:id_centre</link>
    </pointer>
    <options>
      <style>STYLE_POINTER</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectSEQ="2" SXmlObjectID="ID_CLIENT_PTR_CLIENT">
    <repository>core</repository>
    <alias>Nom client</alias>
    <parentID>id_client</parentID>
    <description><![CDATA[reservation(id_client) -> client(id_client)]]></description>
    <expression>nom_client
//nom_client, age, sexe
// id_client, nom_client, age, sexe</expression>
    <pointer enabled="true">
      <datasource>QUERY_CLIENT_GLOBALS</datasource>
      <link>id_client:id_client</link>
    </pointer>
    <options>
      <style>STYLE_POINTER</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectSEQ="6" SXmlObjectID="ID_TERRAIN_PTR_TERRAIN">
    <repository>core</repository>
    <alias>Nom terrain</alias>
    <parentID>id_terrain</parentID>
    <description><![CDATA[reservation(id_terrain) -> terrain(id_terrain)]]></description>
    <expression>nom_centre
// id_terrain, id_centre, nom_centre, statut</expression>
    <pointer enabled="true">
      <datasource>QUERY_TERRAIN_GLOBALS</datasource>
      <link>id_terrain:id_terrain</link>
    </pointer>
    <options>
      <style>STYLE_POINTER</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="age">
    <repository>core</repository>
    <parentID>age</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="capacite">
    <repository>core</repository>
    <parentID>capacite</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="date_res">
    <repository>core</repository>
    <parentID>date_res</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="heure_debut">
    <repository>core</repository>
    <parentID>heure_debut</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="heure_fin">
    <repository>core</repository>
    <parentID>heure_fin</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectSEQ="4" SXmlObjectID="id_centre">
    <repository>core</repository>
    <alias>ID centre</alias>
    <parentID>id_centre</parentID>
    <options>
      <style>STYLE_PK</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectSEQ="1" SXmlObjectID="id_client">
    <repository>core</repository>
    <alias>ID client</alias>
    <parentID>id_client</parentID>
    <options>
      <style>STYLE_PK</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="id_res">
    <repository>core</repository>
    <parentID>id_res</parentID>
    <options>
      <style>STYLE_PK</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectSEQ="5" SXmlObjectID="id_terrain">
    <repository>core</repository>
    <alias>ID terrain</alias>
    <parentID>id_terrain</parentID>
    <totalFunction>COUNT</totalFunction>
    <options>
      <style>STYLE_PK</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectSEQ="1" SXmlObjectID="nom_centre">
    <repository>core</repository>
    <alias>Nom terrain</alias>
    <parentID>nom_centre</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="nom_client">
    <repository>core</repository>
    <parentID>nom_client</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="sexe">
    <repository>core</repository>
    <parentID>sexe</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="statut">
    <repository>core</repository>
    <parentID>statut</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="ville">
    <repository>core</repository>
    <parentID>ville</parentID>
    <options>
      <style>STYLE_STRING</style>
    </options>
  </SXmlObject>
  <SXmlObject SXmlObjectTYPE="factor" SXmlObjectID="__storm_query_id">
    <repository>core</repository>
    <alias>Storm query id</alias>
    <totalFunction>SUM</totalFunction>
  </SXmlObject>
</storm>
